/[suikacvs]/test/suikawebwww/style/html/xhtml1.css
Suika

Contents of /test/suikawebwww/style/html/xhtml1.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.34 - (show annotations) (download) (as text)
Sat Sep 3 03:26:31 2011 UTC (14 years, 10 months ago) by wakaba
Branch: MAIN
CVS Tags: HEAD
Changes since 1.33: +8 -1 lines
File MIME type: text/css
section

1 @charset 'iso-2022-jp';
2 @namespace 'http://www.w3.org/1999/xhtml';
3 @namespace xml 'http://www.w3.org/XML/1998/namespace';
4
5 html {
6 display: block;
7 line-height: 2.0;
8 }
9 head {
10 display: none;
11 }
12
13 body {
14 display: block;
15 margin: 1em 1.5em;
16 }
17
18 blockquote, table {
19 margin: 1em 2em;
20 }
21
22 h1, h2, h3, h4, h5, h6 {
23 display: block;
24 line-height: 1.5;
25 font-size: 120%;
26 font-weight: bolder;
27 font-family: sans-serif;
28 text-align: left;
29 }
30
31 @media print {
32 h1, h2, h3, h4, h5, h6 {
33 page-break-after: avoid;
34 }
35 }
36
37 h1 {
38 text-align: center;
39 font-size: 140%;
40 }
41
42 section h1 {
43 text-align: left;
44 font-size: 120%;
45 }
46
47 section section h1:before,
48 h3:before {
49 content: "\0025B6" " ";
50 }
51
52 section section section h1:before,
53 h4:before {
54 content: "\0025B7" " ";
55 }
56
57 p {
58 display: block;
59 text-indent: 1em;
60 margin: 0 1em;
61 text-align: justify;
62 }
63 p:lang(en) {
64 text-indent: 2em;
65 }
66
67 ul, ol, dl {
68 display: block;
69 margin: 1em;
70 padding: 0;
71 }
72
73 p + ul, p + ol, p + dl,
74 p > ul, p > ol, p > dl {
75 margin-left: 3em;
76 }
77
78 dt, li {
79 display: list-item;
80 margin-left: 1em;
81 padding-left: 0.5em;
82 text-indent: 0;
83 text-align: justify;
84 }
85 ul li {
86 list-style: disc;
87 }
88 dt dt, ul li ul li {
89 list-style: square;
90 }
91 ol li {
92 list-style: decimal;
93 }
94 ol li ol li {
95 list-style: lower-alpha;
96 }
97
98 li > ul:first-child, li > ol:first-child, li > dl:first-child,
99 dd > ul:first-child, dd > ol:first-child, dd > dl:first-child {
100 margin-top: 0;
101 }
102
103 li > ul,
104 li > ol,
105 li > dl {
106 margin-top: 0;
107 }
108
109 li > ul:last-child, li > ol:last-child, li > dl:last-child,
110 dd > ul:last-child, dd > ol:last-child, dd > dl:last-child {
111 margin-bottom: 0;
112 }
113
114 dt {
115 font-weight: normal;
116 list-style: disc;
117 }
118
119 dd {
120 display: block;
121 margin-left: 0;
122 padding-left: 3em;
123 list-style-type: none;
124 }
125
126 @media print {
127 dt {
128 page-break-after: avoid;
129 }
130 dd {
131 page-break-before: avoid;
132 }
133 }
134
135 ul > li:first-child:last-child {
136 list-style: disc;
137 }
138
139 li > p:first-child,
140 dd > p:first-child {
141 text-indent: 0;
142 }
143
144 blockquote {
145 display: block;
146 border-left: 1em double rgb(204, 0, 0);
147 padding-left: 1em;
148 }
149
150 blockquote > cite {
151 display: block;
152 margin-right: 2em;
153 text-align: right;
154 }
155 /* XML Alternate: H3|credit */
156
157 blockquote > cite:before {
158 display: inline;
159 content: "$B!=!=(B " !important;
160 }
161 blockquote > cite:after {
162 display: inline;
163 content: "" !important;
164 }
165
166 table {
167 margin-left: auto;
168 margin-right: auto;
169 }
170
171 /* Sections */
172
173 section, article, nav, aside,
174 header, footer {
175 display: block;
176 }
177
178 hr {
179 visibility: hidden;
180 }
181
182 /* Physical Blocks */
183
184 pre {
185 display: block;
186 margin: 0 1em;
187 overflow: auto;
188 font-family: "Courier New", "Courier", monospace;
189 }
190
191 /* Phrase */
192
193 code {
194 font-family: "Courier New", "Courier", monospace;
195 letter-spacing: 0.1em;
196 background-color: transparent;
197 color: orangered;
198 }
199
200 var {
201 border-bottom-style: solid;
202 border-bottom-width: 1px;
203 padding-bottom: 0.025em;
204 font-style: normal;
205 text-decoration: none;
206 }
207 var:lang(en) {
208 border-bottom-style: none;
209 font-family: "Times New Roman", serif;
210 font-style: italic;
211 text-decoration: none;
212 }
213
214 dfn:lang(en) > var:lang(en):only-child {
215 font-style: inherit;
216 }
217
218 /* Abbrevitions */
219 abbr[title] {
220 border-style: none;
221 text-transform: none;
222 font-variant: normal;
223 font-style: normal;
224 font-size: 100%;
225 }
226
227 dfn:lang(en) abbr[title] {
228 font-style: italic;
229 }
230
231 @media screen {
232 abbr[title] {
233 border-bottom: 1px dotted #FF0080;
234 padding-bottom: 0.025em;
235 cursor: help;
236 }
237 }
238
239 /* Defining Instances */
240 dfn {
241 font-style: normal;
242 font-weight: bolder;
243 /* font-family: sans-serif; */
244 font-size: 100%;
245 }
246 dfn:lang(en) {
247 font-style: italic;
248 font-weight: normal;
249 /* font-family: "Times New Roman", "Times", serif; */
250 }
251
252 dfn:lang(en) dfn:lang(en) {
253 font-style: normal;
254 }
255
256 dfn:lang(en) em {
257 font-style: normal;
258 }
259
260 /* One of the last resorts */
261 i:lang(en) {
262 font-style: italic;
263 text-decoration: none;
264 }
265
266 i:lang(es) {
267 font-style: italic;
268 text-decoration: none;
269 }
270
271 /* Term instance (HTML5) */
272 /* Though this definition is now obsolete, some old documents
273 have used it. */
274 i {
275 border-style: none;
276 font-style: normal;
277 font-size: 100%;
278 text-decoration: none;
279 }
280
281 /* Inputs */
282 kbd {
283 margin: 0 0.3em;
284 border: dotted #C0C0C0 1px;
285 padding: 0.2em 0.3em;
286 font-family: "Courier New", "Courier", monospace;
287 font-size: 100%;
288 line-height: 1.1;
289 }
290
291 em {
292 border-bottom-style: solid;
293 border-bottom-width: 1px;
294 padding-bottom: 0.03em;
295 font-style: normal;
296 text-decoration: none;
297 font-size: 100%;
298 }
299
300 em:lang(en) {
301 border-bottom-style: none;
302 font-style: italic;
303 text-decoration: none;
304 }
305
306 em:lang(en) :lang(ja) {
307 font-style: normal;
308 }
309
310 strong {
311 font-weight: bolder;
312 font-family: sans-serif;
313 }
314 /* Alternate: h1|em */
315
316 /* HTML5 <mark> */
317 m, mark {
318 text-decoration: underline;
319 background-color: #ffff4d;
320 }
321
322 mark:empty:before {
323 content: "\A0";
324 }
325 /*
326 NOTE: For compatibility with old documents that use |m| as
327 element names, we keep |m| in the selector as is.
328 */
329
330 /* Citations and quotations */
331
332 /*
333 * $B8@8l>pJs$G>l9gJ,$1$9$k$N$O@5$7$/$J$$$,!"8=:_$N(B CSS
334 * $B$K$OMQ;z7O$NA*Br;R$,$J$$$+$i!"6a;wE*$K$3$l$r;H$&!#(B
335 */
336
337 :lang(ja) > cite {
338 quotes: none;
339 font-style: normal;
340 }
341 :lang(ja) > cite:before {
342 content: "$B!X(B";
343 }
344 :lang(ja) > cite:after {
345 content: "$B!Y(B";
346 }
347
348 cite:lang(ja) cite {
349 quotes: none;
350 }
351 cite:lang(ja) cite:before { content: "$B!V(B" }
352 cite:lang(ja) cite:after { content: "$B!W(B" }
353
354 [lang|="en"] cite, [xml|lang|="en"] cite {
355 quotes: none;
356 font-style: italic;
357 }
358 [lang|="en"] cite cite, [xml|lang|="en"] cite cite {
359 quotes: none;
360 font-style: normal;
361 }
362 [lang|="en"] cite:before, [xml|lang|="en"] cite:before,
363 [lang|="en"] cite:after, [xml|lang|="en"] cite:after {
364 content: "";
365 content: normal;
366 }
367
368 :lang(ja) > q {
369 quotes: none;
370 }
371 :lang(ja) > q:before {
372 content: " $B!V(B";
373 }
374 :lang(ja) > q:after {
375 content: "$B!W(B ";
376 }
377
378 :lang(ja) > q q:before {
379 content: " $B!X(B";
380 }
381
382 :lang(ja) > q q:after {
383 content: "$B!Y(B ";
384 }
385
386 :lang(en) > q {
387 quotes: none;
388 }
389
390 :lang(en) > q:before {
391 content: " $B!H(B";
392 }
393
394 :lang(en) > q:after {
395 content: "$B!I(B ";
396 }
397
398 /* Tables */
399
400 table {
401 border: 1px solid gray;
402 border-spacing: 0;
403 }
404
405 thead, tfoot, th {
406 font-weight: bolder;
407 font-family: sans-serif;
408 }
409
410 td, th {
411 padding: 0.2em 0.4em;
412 border: 1px solid #E0E0E0;
413 empty-cells: show;
414 }
415
416 th[scope="row"], th[scope="rowgroup"] {
417 text-align: left;
418 border-right: 1px solid #C0C0C0;
419 }
420 th[scope="col"], th[scope="colgroup"] {
421 text-align: center;
422 border-bottom: 1px solid #C0C0C0;
423 }
424
425 /* Subscripts and Superscripts */
426
427 sub {
428 vertical-align: sub;
429 font-size: 80%;
430 }
431 sup {
432 vertical-align: top;
433 font-size: 80%;
434 }
435
436
437 /* Edit */
438
439 ins {
440 border-bottom-style: solid;
441 border-bottom-width: 1px;
442 padding-bottom: 0.03em;
443 background-color: rgb(255, 255, 153);
444 color: black;
445 font-style: normal;
446 text-decoration: none;
447 }
448
449 body > ins {
450 display: block;
451 text-decoration: none;
452 }
453
454 del {
455 background-color: #FFBBBB;
456 color: black;
457 font-size: 80%;
458 text-decoration: line-through;
459 }
460
461 body > del,
462 p + del,
463 dl + del {
464 display: block;
465 }
466
467 /* Footer */
468
469 address {
470 font-style: normal;
471 font-size: 100%;
472 }
473
474 /* Hyperlinks */
475
476 a:link, a:visited {
477 text-decoration: none;
478 border-bottom-style: solid;
479 border-bottom-width: 1px;
480 padding-bottom: 0.05em;
481 }
482
483 [href^="#"]:link, [href^="#"]:visited {
484 text-decoration: none !important;
485 border-bottom: dotted 1px !important;
486 }
487
488 a:hover {
489 background-color: #FFA;
490 color: #000080;
491 }
492
493 a[rel~=feed] {
494 background-image: url(../images/feed); /* 16x16 */
495 background-repeat: no-repeat;
496 background-position: left center;
497 margin-left: 4px;
498 padding-left: 20px;
499 }
500
501 /* Forms */
502
503 textarea {
504 vertical-align: top;
505 }
506
507 /* License
508
509 Copyright 2003-2011 Wakaba <[email protected]>.
510
511 This program is free software; you can redistribute it and/or modify
512 it under the terms of the GNU General Public License as published by
513 the Free Software Foundation; either version 2 of the License, or
514 (at your option) any later version.
515
516 This program is distributed in the hope that it will be useful,
517 but WITHOUT ANY WARRANTY; without even the implied warranty of
518 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
519 GNU General Public License for more details.
520
521 You should have received a copy of the GNU General Public License
522 along with this program; see the file COPYING. If not, write to
523 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
524 Boston, MA 02111-1307, USA.
525
526 */
527
528 /* $Date: 2011/08/07 02:28:13 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24